For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • HRIS Guides
    • Introduction
  • HRIS Common Use Cases
    • Sync Deel users to identity providers
  • SCIM API
    • Overview
  • HRIS Endpoints
  • ATS Guides
    • Introduction
    • Getting started
    • Manage jobs
    • Manage candidates and applications
    • Webhooks
  • ATS Common Use Cases
    • From candidate to contract
  • ATS Endpoints
      • GETRetrieve paginated list of ATS attachment files
LogoLogo
SupportDeel Home
ATS EndpointsAts Attachments

Retrieve paginated list of ATS attachment files

GET
/ats/attachments/:attachable_type_slug/:attachable_id/:attachment_type_slug
GET
/rest/v2/ats/attachments/:attachable_type_slug/:attachable_id/:attachment_type_slug
$curl -G https://api.letsdeel.com/rest/v2/ats/attachments/CANDIDATE/c063a5c3-32c1-4d6b-8425-6e3107701366/CV \
> -H "Authorization: Bearer <token>" \
> -d cursor=cursorValue \
> -d limit=50
1{
2 "data": [
3 {
4 "id": "e9586b57-a4f9-40d5-ac8f-a6f2b688557e",
5 "file_name": "OCRU0ZEHD0",
6 "file_content_type": "7IZJYL457S",
7 "attachable_type_slug": "CANDIDATE",
8 "attachment_type_slug": "CV",
9 "url": "https://example.com/MQZGU5U53Y",
10 "ai_summary": "MBNNQV3FU6",
11 "created_at": "2025-05-19T21:31:53.517Z",
12 "updated_at": "2025-05-19T21:33:27.939Z",
13 "attachable_id": "c063a5c3-32c1-4d6b-8425-6e3107701366",
14 "created_by_hris_organization_user_id": "c063a5c3-32c1-4d6b-8425-6e3107701366"
15 }
16 ],
17 "has_more": false,
18 "next_cursor": "string",
19 "total_count": 1
20}

Lists attachment files for a specific ATS entity, scoped by attachable_type_slug, attachable_id, and attachment_type_slug. Token scopes: ats:read

Was this page helpful?
Previous

Create ATS Candidate

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

attachable_idstringRequiredformat: "uuid"
Unique identifier for the attachable entity
attachment_type_slugenumRequired
Type of the attachment
Allowed values:
attachable_type_slugenumRequired
Type of the attachable entity

Query parameters

cursorstringOptional<=1000 characters
The cursor for pagination
limitintegerOptional1-100Defaults to 20
Maximum number of records returned in one response

Response

Successful operation.
datalist of objects
Array of attachment objects
has_moreboolean
Indicates if there are more results available
next_cursorstring or null<=1000 characters
Cursor for pagination to fetch next page
total_countdouble
Total count of attachments

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/